Game1.Preload = function(game){};
Game1.Preload.prototype = {
	preload: function() {
		this.preloadBar = this.add.sprite(this.game.world.centerX, this.game.world.centerY, 'preloadbar');
		this.preloadBar.anchor.setTo(0.5);
		this.load.setPreloadSprite(this.preloadBar);
		this.load.image('bg', 'img/MW_main_background.jpg');
		this.load.image('sponsors', 'img/sponsorzy.png');  
		this.load.image('title', 'img/MW_main_tytul.png');
		this.load.image('pomocnik', 'img/MW_main_przewodnik.png');
		this.load.spritesheet('play_button', 'img/MW_main_button_play.png',200,200,3); 
		this.load.spritesheet('speaker', 'img/speaker1.png',115,115);
		this.load.spritesheet('help', 'img/MW_litery_button_info.png', 130,132);  
		this.load.image('guiPomocnik', 'img/MW_litery_przewodnik.png');
		this.load.image('Finish', 'img/MW_koniec.png'); 
		var a = [];
		
		a = ['a', 'aa', 'b', 'c', 'cc', 'd', 'e', 'ee', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'll', 'm', 'n', 'nn', 'o', 'oo', 'p', 'r', 's', 'ss', 't', 'u', 'w', 'y', 'z', 'zz', 'zzz'];
      
		for ( var j= 0; j<a.length; j++)
		{
			for (var i = 1; i<5; i++ )
			{
				this.load.image(a[j]+"_"+i, "img/"+a[j]+"_0"+i+".png");  
			}
		}      
	},    
	create: function() {
		this.state.start('Menu');
	},
};